// SPDX-License-Identifier: BSD-3-Clause
package org.islandoftex.texplate.exceptions;

/**
 * Handles exceptions when the context map contains invalid keys.
 *
 * @version 1.0
 * @since 1.0
 */
public class InvalidKeySetException extends Exception {

    /**
     * Constructor.
     */
    public InvalidKeySetException() {
    }

    /**
     * Constructor.
     *
     * @param message Message to be attached to the exception.
     */
    public InvalidKeySetException(String message) {
        super(message);
    }

    /**
     * Constructor.
     *
     * @param message Message to be attached to the exception.
     * @param cause The throwable cause to be forwarded.
     */
    public InvalidKeySetException(String message, Throwable cause) {
        super(message, cause);
    }

}
